%define module_name Mojo-IOLoop-HoboProcess
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(MCE/Shared.pm) perl(Mojolicious.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: Like Mojo::IOLoop::Subprocess, spawns subprocesses with MCE::Hobo instead
Group: Development/Perl
License: perl
URL: https://github.com/marioroy/Mojo-IOLoop-HoboProcess

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MARIOROY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Like the Mojo::IOLoop::Subprocess manpage, spawns subprocesses with MCE::Hobo instead.

the Mojo::IOLoop::HoboProcess manpage allows the Mojo::IOLoop manpage to perform computationally
expensive operations in subprocesses, without blocking the event loop.

This module is supported on all platforms where the MCE::Shared manpage is supported.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Copying LICENSE README.pod Changes
%perl_vendor_privlib/M*

%changelog
* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- regenerated from template by package builder

* Mon Mar 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- regenerated from template by package builder

* Mon Feb 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- regenerated from template by package builder

* Wed Nov 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

